rte_red_params(3)

NAME
rte_red_params

SYNOPSIS

#include <rte_red.h>

  Data Fields

uint16_t min_th
uint16_t max_th
uint16_t maxp_inv
uint16_t wq_log2

Detailed Description

RED configuration parameters passed by user

Definition at line 45 of file rte_red.h.

Field Documentation

  uint16_t min_th
Minimum threshold for queue (max_th)

Definition at line 46 of file rte_red.h.

  uint16_t max_th
Maximum threshold for queue (max_th)

Definition at line 47 of file rte_red.h.

  uint16_t maxp_inv
Inverse of packet marking probability maximum value (maxp = 1 / maxp_inv)

Definition at line 48 of file rte_red.h.

  uint16_t wq_log2
Negated log2 of queue weight (wq = 1 / (2 ^ wq_log2))

Definition at line 49 of file rte_red.h.

Author

Generated automatically by Doxygen for DPDK from the source code.